%define	_snapshot	-pre20000412

Summary: A server process which provides boot information to diskless clients.
Name: bootparamd
Version: 0.17
Release: 21.RHEL4
Copyright: BSD
Group: System Environment/Daemons
Source: ftp://ftp.uk.linux.org/pub/linux/Networking/netkit-devel/netkit-bootparamd-%{version}%{_snapshot}.tar.gz
Source1: bootparamd.init
Patch: bootparamd-manpage-63567.patch
Patch1: bootparamd-resolver.patch
Patch2: bootparamd-debug.patch
Patch3: bootparamd.fast-dns-fix.patch
Patch4: bootparamd-get-router.patch
Prereq: /sbin/chkconfig /etc/init.d
Requires: portmap
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The bootparamd process provides bootparamd, a server process which
provides the information needed by diskless clients in order for them
to successfully boot.  Bootparamd looks first in /etc/bootparams for an
entry for that particular client; if a local bootparams file doesn't
exist, it looks at the appropriate Network Information Service (NIS)
map.  Some network boot loaders (notably Sun's) rely on special boot
server code on the server, in addition to the RARP and TFTP servers.
This bootparamd server process is compatible with SunOS bootparam clients
and servers which need that boot server code.

You should install bootparamd if you need to provide boot information to
diskless clients on your network.

%prep
%setup -q -n netkit-bootparamd-%{version}%{_snapshot}
%patch -p1
%patch1 -p1
%patch2 -p1 -b .unblocksignals
%patch3 -p1 -b .fast_dns_fix
%patch4 -p1 -b .router

%build
sh configure --with-c-compiler=gcc
perl -pi -e '
    s,^CC=.*$,CC=cc,;
    s,-O2,\$(RPM_OPT_FLAGS) -D_BSD_SOURCE \$(f_PIE),;
    s,^BINDIR=.*$,BINDIR=%{_bindir},;
    s,^MANDIR=.*$,MANDIR=%{_mandir},;
    s,^SBINDIR=.*$,SBINDIR=%{_sbindir},;
    s,^LDFLAGS=,LDFLAGS=-pie,;
    ' MCONFIG
%ifarch s390 s390x 
export f_PIE="-fPIE"
%else
export f_PIE="-fpie"
%endif
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man{1,8}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}/etc/rc.d/init.d

make INSTALLROOT=%{buildroot} install
install -m 755 $RPM_SOURCE_DIR/bootparamd.init %{buildroot}/etc/rc.d/init.d/bootparamd

%clean
rm -rf %{buildroot}

%post
/sbin/chkconfig --add bootparamd

%preun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del bootparamd
fi

%files
%defattr(-,root,root)
%{_sbindir}/rpc.bootparamd
%{_bindir}/callbootd
%{_mandir}/man8/rpc.bootparamd.*
%{_mandir}/man8/bootparamd.*
%config /etc/rc.d/init.d/bootparamd

%changelog
* Wed Nov 16 2005 Martin Stransky <stransky@redhat.com> 0.17-21.RHEL4
- rebuilt

* Fri Sep 16 2005 Martin Stransky <stransky@redhat.com> 0.17-20.RHEL4
- added patch for #143032, written by Robert Jelinek (jelinekr@ms.com)
- updated a man page

* Mon Jan 24 2005 Martin Stransky <stransky@redhat.com> 0.17-19.RHEL4
- fix #144933 (bootparamd does not return the right line from /etc/bootparams)
- new parameter "-l" can exclude dns lookup during host search

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt
- Add debug patch (which is really there to fix a bug in signal checking)

* Thu Jun 10 2004 Dan Walsh <dwalsh@redhat.com> 0.17-16
- Add resolver patch

* Fri May 14 2004 Thomas Woerner <twoerner@redhat.com> 0.17-16
- compiling PIE

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Dec 23 2002 Tim Powers <timp@redhat.com> 0.17-12
- bump and rebuild

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Jun 20 2002 Elliot Lee <sopwith@redhat.com>
- Fix 63567 and don't strip binaries.

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Apr  4 2001 Jakub Jelinek <jakub@redhat.com>
- don't let configure to guess compiler, it can pick up egcs

* Tue Feb  6 2001 Trond Eivind Glomsrd <teg@redhat.com>
- i18nize initscript
- exit cleanly if no /etc/bootparams

* Sat Aug 05 2000 Bill Nottingham <notting@redhat.com>
- condrestart fixes

* Sat Jul 15 2000 Bill Nottingham <notting@redhat.com>
- move initscript back

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul 10 2000 Preston Brown <pbrown@redhat.com>
- move initscript
 
* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- FHS packaging
- 0.17

* Thu Feb 03 2000 Erik Troan <ewt@redhat.com>
- gzipped man pages

* Tue Dec 21 1999 Jeff Johnson <jbj@redhat.com>
- update to 0.16.

* Fri Sep 25 1999 Bill Nottingham <notting@redhat.com>
- *sigh*.

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initrscript munging

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 22)

* Mon Mar 15 1999 Jeff Johnson <jbj@redhat.com>
- compile for 6.0

* Mon Jun 29 1998 Jeff Johnson <jbj@redhat.com>
- removed triggerpostun.

* Fri May 01 1998 Jeff Johnson <jbj@redhat.com>
- added triggerpostun

* Wed Apr 22 1998 Michael K. Johnson <johnsonm@redhat.com>
- enhanced initscript

* Thu Jan 08 1998 Erik Troan <ewt@redhat.com>
- updated initscript to include functions
- fixed 'stop' action of initscript
- added requirement for portmap

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- added an initscript

* Tue Jul 15 1997 Erik Troan <ewt@redhat.com>
- initial build
